include ../Makefile.rules

OBJ = gtk_gfx.o \
	gtk_main.o \
    gtk_main_menu.o \
    gtk_main_wnd.o \
    gtk_map_screen.o \
    gtk_wnd_gpssetting.o \
    gtk_wnd_mapinfo.o

SRC = $(OBJ:%.o=%.c)

all: libgtk.a

dep: $(SRC)
	$(CC) -MM $(SRC) $(CFLAGS) > $(DEPENDFILE)

libgtk.a: $(OBJ)
	$(AR) rcs libgtk.a $(OBJ)
	
clean:
	rm -rf *.o
	rm -rf *.a
	rm -rf *~
	rm -rf $(DEPENDFILE)

-include $(DEPENDFILE)

